Merge "Move ProjectDeletedSharedDbCleanup to global Module" into stable-3.0
diff --git a/README.md b/README.md
index 7c731af..6e55d86 100644
--- a/README.md
+++ b/README.md
@@ -53,7 +53,7 @@
 bazel build plugins/multi-site
 ```
 
-The multi-site.jar plugin is generated to `bazel-genfiles/plugins/multi-site/multi-site.jar`.
+The multi-site.jar plugin is generated to `bazel-bin/plugins/multi-site/multi-site.jar`.
 
 Example of testing the multi-site plugin:
 
diff --git a/external_plugin_deps.bzl b/external_plugin_deps.bzl
index 74a19a7..eb53541 100644
--- a/external_plugin_deps.bzl
+++ b/external_plugin_deps.bzl
@@ -7,8 +7,6 @@
         sha1 = "4a920d6c04fd2444c7bc94880adc8313f5b31ba3",
     )
 
-    CURATOR_VER = "4.2.0"
-
     maven_jar(
         name = "kafka-client",
         artifact = "org.apache.kafka:kafka-clients:2.1.0",
@@ -21,6 +19,8 @@
         sha1 = "932d1baa2541f218b1b44a0546ae83d530011468",
     )
 
+    CURATOR_VER = "4.2.0"
+
     maven_jar(
         name = "curator-test",
         artifact = "org.apache.curator:curator-test:" + CURATOR_VER,
diff --git a/setup_local_env/setup.sh b/setup_local_env/setup.sh
index 94fc972..31b5ebf 100755
--- a/setup_local_env/setup.sh
+++ b/setup_local_env/setup.sh
@@ -294,7 +294,7 @@
 HA_PROXY_CERTIFICATES_DIR="$HA_PROXY_CONFIG_DIR/certificates"
 
 RELEASE_WAR_FILE_LOCATION=${RELEASE_WAR_FILE_LOCATION:-bazel-bin/release.war}
-MULTISITE_LIB_LOCATION=${MULTISITE_LIB_LOCATION:-bazel-genfiles/plugins/multi-site/multi-site.jar}
+MULTISITE_LIB_LOCATION=${MULTISITE_LIB_LOCATION:-bazel-bin/plugins/multi-site/multi-site.jar}
 
 
 export FAKE_NFS=$COMMON_LOCATION/fake_nfs
@@ -318,10 +318,10 @@
 fi
 if [ $DOWNLOAD_WEBSESSION_FLATFILE = "true" ];then
 	echo "Downloading websession-flatfile plugin stable 3.0"
-	wget https://gerrit-ci.gerritforge.com/view/Plugins-stable-3.0/job/plugin-websession-flatfile-bazel-master-stable-3.0/lastSuccessfulBuild/artifact/bazel-genfiles/plugins/websession-flatfile/websession-flatfile.jar \
+	wget https://gerrit-ci.gerritforge.com/view/Plugins-stable-3.0/job/plugin-websession-flatfile-bazel-master-stable-3.0/lastSuccessfulBuild/artifact/bazel-bin/plugins/websession-flatfile/websession-flatfile.jar \
 	-O $DEPLOYMENT_LOCATION/websession-flatfile.jar || { echo >&2 "Cannot download websession-flatfile plugin: Check internet connection. Abort\
 ing"; exit 1; }
-	wget https://gerrit-ci.gerritforge.com/view/Plugins-stable-3.0/job/plugin-healthcheck-bazel-stable-3.0/lastSuccessfulBuild/artifact/bazel-genfiles/plugins/healthcheck/healthcheck.jar \
+	wget https://gerrit-ci.gerritforge.com/view/Plugins-stable-3.0/job/plugin-healthcheck-bazel-stable-3.0/lastSuccessfulBuild/artifact/bazel-bin/plugins/healthcheck/healthcheck.jar \
 	-O $DEPLOYMENT_LOCATION/healthcheck.jar || { echo >&2 "Cannot download healthcheck plugin: Check internet connection. Abort\
 ing"; exit 1; }
 else
@@ -414,4 +414,4 @@
 echo "$HTTPS_CLONE_MSG"
 echo
 
-exit $?
\ No newline at end of file
+exit $?
diff --git a/src/main/resources/Documentation/build.md b/src/main/resources/Documentation/build.md
index 1dfda95..9d004c2 100644
--- a/src/main/resources/Documentation/build.md
+++ b/src/main/resources/Documentation/build.md
@@ -20,7 +20,7 @@
 The output is created in
 
 ```
-  bazel-genfiles/@PLUGIN@.jar
+  bazel-bin/@PLUGIN@.jar
 ```
 
 To package the plugin sources run:
@@ -68,7 +68,7 @@
 The output is created in
 
 ```
-  bazel-genfiles/plugins/@PLUGIN@/@PLUGIN@.jar
+  bazel-bin/plugins/@PLUGIN@/@PLUGIN@.jar
 ```
 
 This project can be imported into the Eclipse IDE: